var assert = require('assert');
var should = require('should');
var encrypt = require('encrypt');

var KEY1 = '123';
var KEY2 = '456';

exports.testMissingKeyThrowsError = function() {
    try {
        encrypt.create();
    } catch(Error) {
        return;
    }
    should.fail();
}

exports.testEncryptWithSameKeyShouldSucceed = function(){
    var encrypt1 = encrypt.create(KEY1);
    var expected = 'alfredwesterveld@gmail.com';
    var encrypted = encrypt1.encrypt(expected);
    var decrypted = encrypt1.decrypt(encrypted);
    assert.equal(expected, decrypted);
};

exports.testEmailWithDifferentKeyShouldFail = function(){
    var encrypt1 = encrypt.create(KEY1);
    var encrypt2 = encrypt.create(KEY2);
    var expected = 'alfredwesterveld@gmail.com';
    var encrypted = encrypt1.encrypt(expected);
    var decrypted = encrypt2.decrypt(encrypted);
    assert.notEqual(expected, decrypted);
};
